Subject: bug#8171:

From: Eric Blake <[email-masked]>
Date: Fri, 04 Mar 2011 08:41:40 -0700

On 03/04/2011 08:27 AM, Станислав wrote:
> Thanks a lot for clarifying!
> 
> I also think it would be nice to notice this behaviour clearer in
> documentation. man dd says almost nothing about. info dd says about 'short
> reads' but it seems not so easy to understand what it means. 'dd' is
> populary utility in scripts so many people can bumb into this behaviour. As
> for me it took two months to catch 'slow' problem with our tape drive.
> 
> PS: Is it good work around that I mentioned before (I mean 'ibs=256K
> obs=256K') or it can be changed in future?

POSIX requires that 'ibs=n obs=n' behave the way you want; it is _only_
the 'bs=n' behavior where a short read results in surprising behavior.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org